# https://setuptools.readthedocs.io/en/latest/userguide/declarative_config.html

[aliases]
test=pytest

# [bdist_wheel]
# universal=1

[flake8]
exclude =
    gwinc/_version.py
    versioneer.py
ignore = D100,D102,D104,D107,D205,D400

[coverage:run]
source = gwinc
omit =
    gwinc/_version.py
    gwinc/test/*

[metadata]
name = gwinc
license = UNLICENSE
license_file = LICENSE
author = LIGO Scientific Collaboration
author_email = jameson.rollins@ligo.org
description = Gravitation Wave Interferometer Noise Calculator
long_description = file:README.md
long_description_content_type = text/markdown
url = https://git.ligo.org/gwinc/pygwinc
classifiers =
    Development Status :: 4 - Beta
    Environment :: Console
    License :: OSI Approved :: The Unlicense (Unlicense)
    Topic :: Scientific/Engineering
    Topic :: Scientific/Engineering :: Astronomy
    Topic :: Scientific/Engineering :: Physics
    Intended Audience :: Science/Research
    Operating System :: OS Independent
    Programming Language :: Python
    Programming Language :: Python :: 3
    Programming Language :: Python :: 3.6
    Programming Language :: Python :: 3.7
    Programming Language :: Python :: 3.8
project_urls =
    Bug Tracker = https://git.ligo.org/gwinc/pygwinc/issues
    Source Code = https://git.ligo.org/gwinc/pygwinc

[options]
packages = find:
include_package_data = True
python_requires = >=3.6
install_requires =
    h5py
    ipython
    matplotlib
    numpy
    pyyaml
    scipy
tests_require =
    PyPDF2

[options.extras_require]
range = inspiral-range

[options.entry_points]
console_scripts =
    gwinc = gwinc.__main__:main

[versioneer]
VCS = git
versionfile_build = gwinc/_version.py
versionfile_source = gwinc/_version.py
tag_prefix = v
parentdir_prefix = gwinc-
